curl --request GET \
--url https://api.symmetry.com/mwf/v1/location \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symmetry.com/mwf/v1/location"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symmetry.com/mwf/v1/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rates": [
{}
],
"normalizedAddress": {
"streetAddress1": "14350 N 87th St",
"streetAddress2": "Ste 310",
"city": "Scottsdale",
"state": "AZ",
"zipCode": "85260-2663"
},
"normalizedCoordinates": {
"longitude": 33.6158,
"latitude": -111.8946
},
"resultMessages": {},
"errorMessages": {}
}Returns minimum wage rates by location (address or coordinates) and effective date
The result contains all hierarchy levels based on address or coordinates (valid coordinates take precedence over the address). The valid date format is yyyy-mm-dd.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional, defaults to false. If true, when address not found the system will use an address that may resemble the input address. In the absence of a suitable suggestion, the system will resort to geocoding based on the ZIP code. NOTE that if set to true, the accuracy of results are uncertain.
Response
OK
Show child attributes
Show child attributes
If input address provided, then th normalized address is returned.
Show child attributes
Show child attributes
Coordinates used to determine minimum wages.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

